## org.mariadb.jdbc.internal.com.read
Class ReadInitialHandShakePacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.ReadInitialHandShakePacket

    public class ReadInitialHandShakePacket

extends Object

Constructor Summary
`ReadInitialHandShakePacket(PacketInputStream reader)` Read database initial stream.

Method Summary
`String` `getPluginName()`
`byte` `getProtocolVersion()`
`byte[]` `getSeed()`
`long` `getServerCapabilities()`
`byte` `getServerLanguage()`
`short` `getServerStatus()`
`long` `getServerThreadId()`
`String` `getServerVersion()`
`boolean` `isServerMariaDb()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadInitialHandShakePacket

    public ReadInitialHandShakePacket(PacketInputStream reader)
                               throws IOException,
                                      SQLException

  Read database initial stream.

  Parameters:
    `reader` - packetFetcher
  Throws:
    `IOException` - if a connection error occur
    `SQLException` - if received an error packet

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getServerVersion

    public String getServerVersion()

### getProtocolVersion

    public byte getProtocolVersion()

### getServerThreadId

    public long getServerThreadId()

### getSeed

    public byte[] getSeed()

### getServerCapabilities

    public long getServerCapabilities()

### getServerLanguage

    public byte getServerLanguage()

### getServerStatus

    public short getServerStatus()

### getPluginName

    public String getPluginName()

### isServerMariaDb

    public boolean isServerMariaDb()

Copyright © 2017. All rights reserved.